#!/usr/bin/env python
import gtk
import gtk.glade

class dates:
	def __init__(self):
    	
    		self.widgetTree = gtk.glade.XML("dates.glade")
        
		dic = {
        			"on_date_window_delete_event" : self.deleteEvent,
                    "on_date_window_destroy_event" : self.destroyEvent,
                    "on_ok_button_clicked" : self.okButtonClicked,
                    "on_cancel_button_clicked" : self.cancelButtonClicked,
                    "on_open_button_clicked" : self.openButtonClicked,
                    "on_jan_toggled" : self.monthToggled,
                    "on_feb_toggled" : self.monthToggled,
                    "on_mar_toggled" : self.monthToggled,
                    "on_apr_toggled" : self.monthToggled,
                    "on_may_toggled" : self.monthToggled,
                    "on_jun_toggled" : self.monthToggled,
                    "on_jul_toggled" : self.monthToggled,
                    "on_aug_toggled" : self.monthToggled,
                    "on_sep_toggled" : self.monthToggled,
                    "on_oct_toggled" : self.monthToggled,
                    "on_nov_toggled" : self.monthToggled,
                    "on_dec_toggled" : self.monthToggled,
                    "on_mon_toggled" : self.dayToggled,
                    "on_tue_toggled" : self.dayToggled,
                    "on_wed_toggled" : self.dayToggled,
                    "on_thu_toggled" : self.dayToggled,
                    "on_fri_toggled" : self.dayToggled,
                    "on_sat_toggled" : self.dayToggled,
                    "on_sun_toggled" : self.dayToggled,
                    "on_one_days_toggled" : self.monthDaysToggled,
                    "on_two_days_toggled" : self.monthDaysToggled,
                    "on_three_days_toggled" : self.monthDaysToggled,
                    "on_four_days_toggled" : self.monthDaysToggled,
				"on_five_days_toggled" : self.monthDaysToggled,
				"on_six_days_toggled" : self.monthDaysToggled,
				"on_seven_days_toggled" : self.monthDaysToggled,
				"on_eight_days_toggled" : self.monthDaysToggled,
				"on_nine_days_toggled" : self.monthDaysToggled,
				"on_ten_days_toggled" : self.monthDaysToggled,
				"on_eleven_days_toggled" : self.monthDaysToggled,
				"on_twelve_days_toggled" : self.monthDaysToggled,
				"on_thirteen_days_toggled" : self.monthDaysToggled,
				"on_fourteen_days_toggled" : self.monthDaysToggled,
				"on_fifteen_days_toggled" : self.monthDaysToggled,
				"on_sixteen_days_toggled" : self.monthDaysToggled,
				"on_seventeen_days_toggled" : self.monthDaysToggled,
				"on_eighteen_days_toggled" : self.monthDaysToggled,
				"on_nineteen_days_toggled" : self.monthDaysToggled,
				"on_twenty_days_toggled" : self.monthDaysToggled,
				"on_twenty_one_days_toggled" : self.monthDaysToggled,
				"on_twenty_two_days_toggled" : self.monthDaysToggled,
				"on_twenty_three_days_toggled" : self.monthDaysToggled,
				"on_twenty_four_days_toggled" : self.monthDaysToggled,
				"on_twenty_five_days_toggled" : self.monthDaysToggled,
				"on_twenty_six_days_toggled" : self.monthDaysToggled,
				"on_twenty_seven_days_toggled" : self.monthDaysToggled,
				"on_twenty_eight_days_toggled" : self.monthDaysToggled,
				"on_twenty_nine_days_toggled" : self.monthDaysToggled,
				"on_thirty_days_toggled" : self.monthDaysToggled,
				"on_thirty_one_days_toggled" : self.monthDaysToggled
				# And on and on and on for another thousand lines :) Is there an easier way???
          }
		self.widgetTree.signal_autoconnect(dic)

		self.win = self.widgetTree.get_widget("date_window")

	def deleteEvent(self, obj, event):
		gtk.main_quit()
	
	def destroyEvent(self, obj, event):
		gtk.main_quit()

	def okButtonClicked(self, obj):
		print "ok clicked"
	
	def cancelButtonClicked(self, obj):
		print "cancel button clicked"
		gtk.main_quit() # For now...
	
	def openButtonClicked(self, obj):
		print "open button clicked"
	
	# I was thinking that for the following functions, we could save a list of each one that was clicked or something and then when 
	# the user finally clicks ok, we could write it out to a cron file in the appropriate format. Is this the best way???
	def monthToggled(self, obj):
		print "in monthToggled"

	def dayToggled(self, obj):
		print "in dayToggled"
	
	def monthDaysToggled(self, obj):
		print "in monthDaysToggled"
	
if __name__ == "__main__":

	test = dates()
	gtk.main()
